package com.ibiz.core.client.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * Client 实体 [PS] 对象
 */
public interface IPS {

    /**
     * 获取 [建立时间]
     */
    public void setCreateDate(Timestamp createDate);
    
    /**
     * 设置 [建立时间]
     */
    public Timestamp getCreateDate();

    /**
     * 获取 [建立时间]脏标记
     */
    public boolean getCreateDateDirtyFlag();
    /**
     * 获取 [采购单名称]
     */
    public void setPSName(String pSName);
    
    /**
     * 设置 [采购单名称]
     */
    public String getPSName();

    /**
     * 获取 [采购单名称]脏标记
     */
    public boolean getPSNameDirtyFlag();
    /**
     * 获取 [建立人]
     */
    public void setCreateMan(String createMan);
    
    /**
     * 设置 [建立人]
     */
    public String getCreateMan();

    /**
     * 获取 [建立人]脏标记
     */
    public boolean getCreateManDirtyFlag();
    /**
     * 获取 [采购单标识]
     */
    public void setPSId(String pSId);
    
    /**
     * 设置 [采购单标识]
     */
    public String getPSId();

    /**
     * 获取 [采购单标识]脏标记
     */
    public boolean getPSIdDirtyFlag();
    /**
     * 获取 [更新时间]
     */
    public void setUpdateDate(Timestamp updateDate);
    
    /**
     * 设置 [更新时间]
     */
    public Timestamp getUpdateDate();

    /**
     * 获取 [更新时间]脏标记
     */
    public boolean getUpdateDateDirtyFlag();
    /**
     * 获取 [更新人]
     */
    public void setUpdateMan(String updateMan);
    
    /**
     * 设置 [更新人]
     */
    public String getUpdateMan();

    /**
     * 获取 [更新人]脏标记
     */
    public boolean getUpdateManDirtyFlag();
    /**
     * 获取 [IMSTATE]
     */
    public void setImstate(String imstate);
    
    /**
     * 设置 [IMSTATE]
     */
    public String getImstate();

    /**
     * 获取 [IMSTATE]脏标记
     */
    public boolean getImstateDirtyFlag();
}
