package com.ibiz.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.client.model.IPS;
import com.ibiz.util.SearchContext;

/**
 * 实体[PS] 服务对象接口
 */
public interface IPSClientService{

    public IPS createModel() ;

    public Page<IPS> select(SearchContext context);

    public void get(IPS ps);

    public void update(IPS ps);

    public void create(IPS ps);

    public void save(IPS ps);

    public void getDraft(IPS ps);

    public void checkKey(IPS ps);

    public void remove(IPS ps);

    public Page<IPS> fetchDefault(SearchContext context);

}
