package com.ibiz.core.ht.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.ht.domain.FJ;
import com.ibiz.core.ht.filter.FJSearchContext;

/**
 * 实体[FJ] 服务对象接口
 */

public interface IFJService{
     boolean save(FJ fJ) ;
     boolean create(FJ fJ) ;
     boolean update(FJ fJ) ;
     boolean remove(String fJId) ;
     FJ get(String fJId) ;
     FJ get(FJ fJ) ;
     FJ getDraft(FJ fJ) ;
     boolean checkKey(FJ fJ) ;

    /**
     * 查询集合 CurFJ
     */
    Page<FJ> searchCurFJ(FJSearchContext context) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<FJ> searchDefault(FJSearchContext context) ;

}
