package com.ibiz.core.ht.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.ht.domain.SRFFILE;
import com.ibiz.core.ht.filter.SRFFILESearchContext;

/**
 * 实体[SRFFILE] 服务对象接口
 */

public interface ISRFFILEService{
     boolean checkKey(SRFFILE sRFFILE) ;
     SRFFILE get(String sRFFILEId) ;
     SRFFILE get(SRFFILE sRFFILE) ;
     SRFFILE getDraft(SRFFILE sRFFILE) ;
     boolean update(SRFFILE sRFFILE) ;
     boolean remove(String sRFFILEId) ;
     boolean create(SRFFILE sRFFILE) ;
     boolean save(SRFFILE sRFFILE) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<SRFFILE> searchDefault(SRFFILESearchContext context) ;

}
