package com.ibiz.core.htwf.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.htwf.domain.WFBM;
import com.ibiz.core.htwf.filter.WFBMSearchContext;

/**
 * 实体[WFBM] 服务对象接口
 */

public interface IWFBMService{
     boolean remove(String wFBMId) ;
     boolean checkKey(WFBM wFBM) ;
     WFBM getDraft(WFBM wFBM) ;
     boolean create(WFBM wFBM) ;
     boolean update(WFBM wFBM) ;
     WFBM get(String wFBMId) ;
     WFBM get(WFBM wFBM) ;
     boolean save(WFBM wFBM) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<WFBM> searchDefault(WFBMSearchContext context) ;

}
