package com.ibiz.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.repository.po.FJ;
import com.ibiz.core.ht.filter.FJSearchContext;

/**
 * 实体 [附件] 存储对象
 */
public interface FJRepository extends Repository<FJ> {

    /**
	 * 查询集合 [CurFJ]
	 * @param context
	 * @return
	 */
    Page<FJ> searchCurFJ(FJSearchContext context);
    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<FJ> searchDefault(FJSearchContext context);

    FJ convert2PO(com.ibiz.core.ht.domain.FJ domain , FJ po) ;

    com.ibiz.core.ht.domain.FJ convert2Domain( FJ po ,com.ibiz.core.ht.domain.FJ domain) ;

}
