package com.ibiz.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.repository.po.IM;
import com.ibiz.core.ht.filter.IMSearchContext;

/**
 * 实体 [重要事项] 存储对象
 */
public interface IMRepository extends Repository<IM> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<IM> searchDefault(IMSearchContext context);

    IM convert2PO(com.ibiz.core.ht.domain.IM domain , IM po) ;

    com.ibiz.core.ht.domain.IM convert2Domain( IM po ,com.ibiz.core.ht.domain.IM domain) ;

}
