package com.ibiz.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.repository.po.WFIM;
import com.ibiz.core.htwf.filter.WFIMSearchContext;

/**
 * 实体 [重要事项] 存储对象
 */
public interface WFIMRepository extends Repository<WFIM> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<WFIM> searchDefault(WFIMSearchContext context);

    WFIM convert2PO(com.ibiz.core.htwf.domain.WFIM domain , WFIM po) ;

    com.ibiz.core.htwf.domain.WFIM convert2Domain( WFIM po ,com.ibiz.core.htwf.domain.WFIM domain) ;

}
