package com.ibiz.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.ibiz.core.ht.filter.BCSearchContext;

/**
 * 实体 [业务协作] 存储模型
 */
public interface BC{

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 备注
     */
    String getBz();

    void setBz(String bz);

    /**
     * 获取 [备注]脏标记
     */
    boolean getBzDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 部门领导清单
     */
    String getBmldids();

    void setBmldids(String bmldids);

    /**
     * 获取 [部门领导清单]脏标记
     */
    boolean getBmldidsDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * WFINSTANCEID
     */
    String getWfinstanceid();

    void setWfinstanceid(String wfinstanceid);

    /**
     * 获取 [WFINSTANCEID]脏标记
     */
    boolean getWfinstanceidDirtyFlag();

    /**
     * 工作流步骤
     */
    String getWfstep();

    void setWfstep(String wfstep);

    /**
     * 获取 [工作流步骤]脏标记
     */
    boolean getWfstepDirtyFlag();

    /**
     * 业务协作名称
     */
    String getBCName();

    void setBCName(String bCName);

    /**
     * 获取 [业务协作名称]脏标记
     */
    boolean getBCNameDirtyFlag();

    /**
     * 流程状态
     */
    String getBcwfstate();

    void setBcwfstate(String bcwfstate);

    /**
     * 获取 [流程状态]脏标记
     */
    boolean getBcwfstateDirtyFlag();

    /**
     * 业务协作标识
     */
    String getBCId();

    void setBCId(String bCId);

    /**
     * 获取 [业务协作标识]脏标记
     */
    boolean getBCIdDirtyFlag();

    /**
     * 部门名称
     */
    String getOrgDeptName();

    void setOrgDeptName(String orgDeptName);

    /**
     * 获取 [部门名称]脏标记
     */
    boolean getOrgDeptNameDirtyFlag();

    /**
     * 重要事项标识
     */
    String getIMId();

    void setIMId(String iMId);

    /**
     * 获取 [重要事项标识]脏标记
     */
    boolean getIMIdDirtyFlag();

    /**
     * 部门标识
     */
    String getOrgDeptId();

    void setOrgDeptId(String orgDeptId);

    /**
     * 获取 [部门标识]脏标记
     */
    boolean getOrgDeptIdDirtyFlag();

}
