package com.ibiz.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.ibiz.core.ht.filter.FJSearchContext;

/**
 * 实体 [附件] 存储模型
 */
public interface FJ{

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 附件标识
     */
    String getFJId();

    void setFJId(String fJId);

    /**
     * 获取 [附件标识]脏标记
     */
    boolean getFJIdDirtyFlag();

    /**
     * DJID
     */
    String getDjid();

    void setDjid(String djid);

    /**
     * 获取 [DJID]脏标记
     */
    boolean getDjidDirtyFlag();

    /**
     * 状态
     */
    String getZt();

    void setZt(String zt);

    /**
     * 获取 [状态]脏标记
     */
    boolean getZtDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 序号
     */
    Integer getXh();

    void setXh(Integer xh);

    /**
     * 获取 [序号]脏标记
     */
    boolean getXhDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 附件名称
     */
    String getFJName();

    void setFJName(String fJName);

    /**
     * 获取 [附件名称]脏标记
     */
    boolean getFJNameDirtyFlag();

}
