package com.ibiz.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.ibiz.core.ht.filter.IMSearchContext;

/**
 * 实体 [重要事项] 存储模型
 */
public interface IM{

    /**
     * 跨公司领导人员清单
     */
    String getKgsldids();

    void setKgsldids(String kgsldids);

    /**
     * 获取 [跨公司领导人员清单]脏标记
     */
    boolean getKgsldidsDirtyFlag();

    /**
     * 备注
     */
    String getBz();

    void setBz(String bz);

    /**
     * 获取 [备注]脏标记
     */
    boolean getBzDirtyFlag();

    /**
     * 申报类别
     */
    String getSblb();

    void setSblb(String sblb);

    /**
     * 获取 [申报类别]脏标记
     */
    boolean getSblbDirtyFlag();

    /**
     * 部门领导人员清单
     */
    String getBmldids();

    void setBmldids(String bmldids);

    /**
     * 获取 [部门领导人员清单]脏标记
     */
    boolean getBmldidsDirtyFlag();

    /**
     * 加急原因
     */
    String getJjyy();

    void setJjyy(String jjyy);

    /**
     * 获取 [加急原因]脏标记
     */
    boolean getJjyyDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 会签部门
     */
    String getHqbm();

    void setHqbm(String hqbm);

    /**
     * 获取 [会签部门]脏标记
     */
    boolean getHqbmDirtyFlag();

    /**
     * 送达方式
     */
    String getSdfs();

    void setSdfs(String sdfs);

    /**
     * 获取 [送达方式]脏标记
     */
    boolean getSdfsDirtyFlag();

    /**
     * 跨公司部门人员清单
     */
    String getKgsbmids();

    void setKgsbmids(String kgsbmids);

    /**
     * 获取 [跨公司部门人员清单]脏标记
     */
    boolean getKgsbmidsDirtyFlag();

    /**
     * 上级部门
     */
    Integer getSjbm();

    void setSjbm(Integer sjbm);

    /**
     * 获取 [上级部门]脏标记
     */
    boolean getSjbmDirtyFlag();

    /**
     * 其他通知阅读对象
     */
    String getQttzyddx();

    void setQttzyddx(String qttzyddx);

    /**
     * 获取 [其他通知阅读对象]脏标记
     */
    boolean getQttzyddxDirtyFlag();

    /**
     * 领导
     */
    String getLd();

    void setLd(String ld);

    /**
     * 获取 [领导]脏标记
     */
    boolean getLdDirtyFlag();

    /**
     * 标题
     */
    String getIMName();

    void setIMName(String iMName);

    /**
     * 获取 [标题]脏标记
     */
    boolean getIMNameDirtyFlag();

    /**
     * 流程编号
     */
    String getLcbh();

    void setLcbh(String lcbh);

    /**
     * 获取 [流程编号]脏标记
     */
    boolean getLcbhDirtyFlag();

    /**
     * 内部审核人员清单
     */
    String getNgshids();

    void setNgshids(String ngshids);

    /**
     * 获取 [内部审核人员清单]脏标记
     */
    boolean getNgshidsDirtyFlag();

    /**
     * 跨公司领导
     */
    String getKgsld();

    void setKgsld(String kgsld);

    /**
     * 获取 [跨公司领导]脏标记
     */
    boolean getKgsldDirtyFlag();

    /**
     * 审核方式
     */
    String getShfs();

    void setShfs(String shfs);

    /**
     * 获取 [审核方式]脏标记
     */
    boolean getShfsDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 重要事项标识
     */
    String getIMId();

    void setIMId(String iMId);

    /**
     * 获取 [重要事项标识]脏标记
     */
    boolean getIMIdDirtyFlag();

    /**
     * 申报类型
     */
    String getSblx();

    void setSblx(String sblx);

    /**
     * 获取 [申报类型]脏标记
     */
    boolean getSblxDirtyFlag();

    /**
     * 通知阅读
     */
    Integer getTzyd();

    void setTzyd(Integer tzyd);

    /**
     * 获取 [通知阅读]脏标记
     */
    boolean getTzydDirtyFlag();

    /**
     * 流程实例
     */
    String getWfinstanceid();

    void setWfinstanceid(String wfinstanceid);

    /**
     * 获取 [流程实例]脏标记
     */
    boolean getWfinstanceidDirtyFlag();

    /**
     * 部门领导
     */
    String getBmld();

    void setBmld(String bmld);

    /**
     * 获取 [部门领导]脏标记
     */
    boolean getBmldDirtyFlag();

    /**
     * 通知阅读原因
     */
    String getTzydyy();

    void setTzydyy(String tzydyy);

    /**
     * 获取 [通知阅读原因]脏标记
     */
    boolean getTzydyyDirtyFlag();

    /**
     * 工作流状态
     */
    String getImwfstate();

    void setImwfstate(String imwfstate);

    /**
     * 获取 [工作流状态]脏标记
     */
    boolean getImwfstateDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 阅知对象
     */
    String getYzdx();

    void setYzdx(String yzdx);

    /**
     * 获取 [阅知对象]脏标记
     */
    boolean getYzdxDirtyFlag();

    /**
     * 内部审核
     */
    String getNgsh();

    void setNgsh(String ngsh);

    /**
     * 获取 [内部审核]脏标记
     */
    boolean getNgshDirtyFlag();

    /**
     * 缓急程度
     */
    String getHjcd();

    void setHjcd(String hjcd);

    /**
     * 获取 [缓急程度]脏标记
     */
    boolean getHjcdDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 领导人员清单
     */
    String getLdids();

    void setLdids(String ldids);

    /**
     * 获取 [领导人员清单]脏标记
     */
    boolean getLdidsDirtyFlag();

    /**
     * 会签部门人员清单
     */
    String getHqbmids();

    void setHqbmids(String hqbmids);

    /**
     * 获取 [会签部门人员清单]脏标记
     */
    boolean getHqbmidsDirtyFlag();

    /**
     * 跨公司部门
     */
    String getKgsbm();

    void setKgsbm(String kgsbm);

    /**
     * 获取 [跨公司部门]脏标记
     */
    boolean getKgsbmDirtyFlag();

    /**
     * 重要事项审批步骤
     */
    String getWfstep();

    void setWfstep(String wfstep);

    /**
     * 获取 [重要事项审批步骤]脏标记
     */
    boolean getWfstepDirtyFlag();

    /**
     * 主办部门
     */
    String getZbbm();

    void setZbbm(String zbbm);

    /**
     * 获取 [主办部门]脏标记
     */
    boolean getZbbmDirtyFlag();

    /**
     * 拟稿日期
     */
    Timestamp getNgrq();

    void setNgrq(Timestamp ngrq);

    /**
     * 获取 [拟稿日期]脏标记
     */
    boolean getNgrqDirtyFlag();

    /**
     * 拟稿人联系方式
     */
    String getNgrlxfs();

    void setNgrlxfs(String ngrlxfs);

    /**
     * 获取 [拟稿人联系方式]脏标记
     */
    boolean getNgrlxfsDirtyFlag();

    /**
     * 拟稿人所在机构
     */
    String getNgrjg();

    void setNgrjg(String ngrjg);

    /**
     * 获取 [拟稿人所在机构]脏标记
     */
    boolean getNgrjgDirtyFlag();

    /**
     * 拟稿人所在部门
     */
    String getNgrbmname();

    void setNgrbmname(String ngrbmname);

    /**
     * 获取 [拟稿人所在部门]脏标记
     */
    boolean getNgrbmnameDirtyFlag();

    /**
     * 拟稿人
     */
    String getNgrname();

    void setNgrname(String ngrname);

    /**
     * 获取 [拟稿人]脏标记
     */
    boolean getNgrnameDirtyFlag();

    /**
     * 组织用户标识
     */
    String getNgrid();

    void setNgrid(String ngrid);

    /**
     * 获取 [组织用户标识]脏标记
     */
    boolean getNgridDirtyFlag();

    /**
     * 部门标识
     */
    String getNgrbmid();

    void setNgrbmid(String ngrbmid);

    /**
     * 获取 [部门标识]脏标记
     */
    boolean getNgrbmidDirtyFlag();

    /**
     * PSID
     */
    String getPsid();

    void setPsid(String psid);

    /**
     * 获取 [PSID]脏标记
     */
    boolean getPsidDirtyFlag();

    /**
     * REST
     */
    String getRest();

    void setRest(String rest);

    /**
     * 获取 [REST]脏标记
     */
    boolean getRestDirtyFlag();

}
