package com.ibiz.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.ibiz.core.htwf.filter.WFBCSearchContext;

/**
 * 实体 [业务协作] 存储模型
 */
public interface WFBC{

    /**
     * 工作流状态
     */
    Integer getWfstate();

    void setWfstate(Integer wfstate);

    /**
     * 获取 [工作流状态]脏标记
     */
    boolean getWfstateDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 工作流步骤
     */
    String getWfstep();

    void setWfstep(String wfstep);

    /**
     * 获取 [工作流步骤]脏标记
     */
    boolean getWfstepDirtyFlag();

    /**
     * 流程状态
     */
    String getState();

    void setState(String state);

    /**
     * 获取 [流程状态]脏标记
     */
    boolean getStateDirtyFlag();

    /**
     * PROXYDATAID
     */
    String getProxydataid();

    void setProxydataid(String proxydataid);

    /**
     * 获取 [PROXYDATAID]脏标记
     */
    boolean getProxydataidDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * WFBC名称
     */
    String getWFBCName();

    void setWFBCName(String wFBCName);

    /**
     * 获取 [WFBC名称]脏标记
     */
    boolean getWFBCNameDirtyFlag();

    /**
     * PROXYMODULEID
     */
    String getProxymoduleid();

    void setProxymoduleid(String proxymoduleid);

    /**
     * 获取 [PROXYMODULEID]脏标记
     */
    boolean getProxymoduleidDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * WFBC标识
     */
    String getWFBCId();

    void setWFBCId(String wFBCId);

    /**
     * 获取 [WFBC标识]脏标记
     */
    boolean getWFBCIdDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 工作流实例
     */
    String getWfinstanceid();

    void setWfinstanceid(String wfinstanceid);

    /**
     * 获取 [工作流实例]脏标记
     */
    boolean getWfinstanceidDirtyFlag();

}
