package com.ibiz.core.htwf.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.htwf.domain.WFAS;
import com.ibiz.core.htwf.filter.WFASSearchContext;

/**
 * 实体[WFAS] 服务对象接口
 */

public interface IWFASService{
     WFAS get(String wFASId) ;
     WFAS get(WFAS wFAS) ;
     boolean save(WFAS wFAS) ;
     boolean remove(String wFASId) ;
     boolean checkKey(WFAS wFAS) ;
     boolean update(WFAS wFAS) ;
     WFAS getDraft(WFAS wFAS) ;
     boolean create(WFAS wFAS) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<WFAS> searchDefault(WFASSearchContext context) ;

}
