package com.ibiz.core.htwf.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.htwf.domain.WFBC;
import com.ibiz.core.htwf.filter.WFBCSearchContext;

/**
 * 实体[WFBC] 服务对象接口
 */

public interface IWFBCService{
     boolean remove(String wFBCId) ;
     boolean create(WFBC wFBC) ;
     WFBC get(String wFBCId) ;
     WFBC get(WFBC wFBC) ;
     boolean save(WFBC wFBC) ;
     boolean checkKey(WFBC wFBC) ;
     WFBC getDraft(WFBC wFBC) ;
     boolean update(WFBC wFBC) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<WFBC> searchDefault(WFBCSearchContext context) ;

}
