package com.ibiz.core.htwf.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.htwf.domain.WFIM;
import com.ibiz.core.htwf.filter.WFIMSearchContext;

/**
 * 实体[WFIM] 服务对象接口
 */

public interface IWFIMService{
     boolean remove(String wFIMId) ;
     boolean update(WFIM wFIM) ;
     WFIM getDraft(WFIM wFIM) ;
     boolean save(WFIM wFIM) ;
     boolean create(WFIM wFIM) ;
     WFIM get(String wFIMId) ;
     WFIM get(WFIM wFIM) ;
     boolean checkKey(WFIM wFIM) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<WFIM> searchDefault(WFIMSearchContext context) ;

}
