package com.ibiz.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.repository.po.BC;
import com.ibiz.core.ht.filter.BCSearchContext;

/**
 * 实体 [业务协作] 存储对象
 */
public interface BCRepository extends Repository<BC> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<BC> searchDefault(BCSearchContext context);

    BC convert2PO(com.ibiz.core.ht.domain.BC domain , BC po) ;

    com.ibiz.core.ht.domain.BC convert2Domain( BC po ,com.ibiz.core.ht.domain.BC domain) ;

}
