package com.ibiz.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.repository.po.SRFFILE;
import com.ibiz.core.ht.filter.SRFFILESearchContext;

/**
 * 实体 [FILE] 存储对象
 */
public interface SRFFILERepository extends Repository<SRFFILE> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<SRFFILE> searchDefault(SRFFILESearchContext context);

    SRFFILE convert2PO(com.ibiz.core.ht.domain.SRFFILE domain , SRFFILE po) ;

    com.ibiz.core.ht.domain.SRFFILE convert2Domain( SRFFILE po ,com.ibiz.core.ht.domain.SRFFILE domain) ;

}
