package com.ibiz.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.repository.po.WFAS;
import com.ibiz.core.htwf.filter.WFASSearchContext;

/**
 * 实体 [加签] 存储对象
 */
public interface WFASRepository extends Repository<WFAS> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<WFAS> searchDefault(WFASSearchContext context);

    WFAS convert2PO(com.ibiz.core.htwf.domain.WFAS domain , WFAS po) ;

    com.ibiz.core.htwf.domain.WFAS convert2Domain( WFAS po ,com.ibiz.core.htwf.domain.WFAS domain) ;

}
