package com.ibiz.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.repository.po.WFBC;
import com.ibiz.core.htwf.filter.WFBCSearchContext;

/**
 * 实体 [业务协作] 存储对象
 */
public interface WFBCRepository extends Repository<WFBC> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<WFBC> searchDefault(WFBCSearchContext context);

    WFBC convert2PO(com.ibiz.core.htwf.domain.WFBC domain , WFBC po) ;

    com.ibiz.core.htwf.domain.WFBC convert2Domain( WFBC po ,com.ibiz.core.htwf.domain.WFBC domain) ;

}
