package com.ibiz.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.repository.po.WFBM;
import com.ibiz.core.htwf.filter.WFBMSearchContext;

/**
 * 实体 [重要事项] 存储对象
 */
public interface WFBMRepository extends Repository<WFBM> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<WFBM> searchDefault(WFBMSearchContext context);

    WFBM convert2PO(com.ibiz.core.htwf.domain.WFBM domain , WFBM po) ;

    com.ibiz.core.htwf.domain.WFBM convert2Domain( WFBM po ,com.ibiz.core.htwf.domain.WFBM domain) ;

}
