package com.ibiz.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.ibiz.core.ht.filter.SRFFILESearchContext;

/**
 * 实体 [FILE] 存储模型
 */
public interface SRFFILE{

    /**
     * 文件路径
     */
    String getFilepath();

    void setFilepath(String filepath);

    /**
     * 获取 [文件路径]脏标记
     */
    boolean getFilepathDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 所属者
     */
    String getOwnerid();

    void setOwnerid(String ownerid);

    /**
     * 获取 [所属者]脏标记
     */
    boolean getOwneridDirtyFlag();

    /**
     * 摘要数据
     */
    String getDigestcode();

    void setDigestcode(String digestcode);

    /**
     * 获取 [摘要数据]脏标记
     */
    boolean getDigestcodeDirtyFlag();

    /**
     * 文件夹
     */
    String getFolder();

    void setFolder(String folder);

    /**
     * 获取 [文件夹]脏标记
     */
    boolean getFolderDirtyFlag();

    /**
     * 图片高度
     */
    Integer getPicheight();

    void setPicheight(Integer picheight);

    /**
     * 获取 [图片高度]脏标记
     */
    boolean getPicheightDirtyFlag();

    /**
     * FILE名称
     */
    String getSRFFILEName();

    void setSRFFILEName(String sRFFILEName);

    /**
     * 获取 [FILE名称]脏标记
     */
    boolean getSRFFILENameDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 图片宽度
     */
    Integer getPicwidth();

    void setPicwidth(Integer picwidth);

    /**
     * 获取 [图片宽度]脏标记
     */
    boolean getPicwidthDirtyFlag();

    /**
     * FILE标识
     */
    String getSRFFILEId();

    void setSRFFILEId(String sRFFILEId);

    /**
     * 获取 [FILE标识]脏标记
     */
    boolean getSRFFILEIdDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 文件类型
     */
    String getFileext();

    void setFileext(String fileext);

    /**
     * 获取 [文件类型]脏标记
     */
    boolean getFileextDirtyFlag();

    /**
     * 文件大小
     */
    Integer getFilesize();

    void setFilesize(Integer filesize);

    /**
     * 获取 [文件大小]脏标记
     */
    boolean getFilesizeDirtyFlag();

}
