package com.ibiz.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.ibiz.core.htwf.filter.WFASSearchContext;

/**
 * 实体 [加签] 存储模型
 */
public interface WFAS{

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * PROXYDATAID
     */
    String getProxydataid();

    void setProxydataid(String proxydataid);

    /**
     * 获取 [PROXYDATAID]脏标记
     */
    boolean getProxydataidDirtyFlag();

    /**
     * 工作流状态
     */
    Integer getWfstate();

    void setWfstate(Integer wfstate);

    /**
     * 获取 [工作流状态]脏标记
     */
    boolean getWfstateDirtyFlag();

    /**
     * 加签名称
     */
    String getWFASName();

    void setWFASName(String wFASName);

    /**
     * 获取 [加签名称]脏标记
     */
    boolean getWFASNameDirtyFlag();

    /**
     * 加签标识
     */
    String getWFASId();

    void setWFASId(String wFASId);

    /**
     * 获取 [加签标识]脏标记
     */
    boolean getWFASIdDirtyFlag();

    /**
     * PROXYMODULEID
     */
    String getProxymoduleid();

    void setProxymoduleid(String proxymoduleid);

    /**
     * 获取 [PROXYMODULEID]脏标记
     */
    boolean getProxymoduleidDirtyFlag();

    /**
     * 加签流程状态
     */
    String getAswfstate();

    void setAswfstate(String aswfstate);

    /**
     * 获取 [加签流程状态]脏标记
     */
    boolean getAswfstateDirtyFlag();

    /**
     * 工作流步骤
     */
    String getWfstep();

    void setWfstep(String wfstep);

    /**
     * 获取 [工作流步骤]脏标记
     */
    boolean getWfstepDirtyFlag();

    /**
     * 工作流实例
     */
    String getWfinstanceid();

    void setWfinstanceid(String wfinstanceid);

    /**
     * 获取 [工作流实例]脏标记
     */
    boolean getWfinstanceidDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

}
