package com.ibiz.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.ibiz.core.htwf.filter.WFBMSearchContext;

/**
 * 实体 [重要事项] 存储模型
 */
public interface WFBM{

    /**
     * 部门流程状态
     */
    String getBmwfstate();

    void setBmwfstate(String bmwfstate);

    /**
     * 获取 [部门流程状态]脏标记
     */
    boolean getBmwfstateDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * PROXYDATAID
     */
    String getProxydataid();

    void setProxydataid(String proxydataid);

    /**
     * 获取 [PROXYDATAID]脏标记
     */
    boolean getProxydataidDirtyFlag();

    /**
     * PROXYMODULEID
     */
    String getProxymoduleid();

    void setProxymoduleid(String proxymoduleid);

    /**
     * 获取 [PROXYMODULEID]脏标记
     */
    boolean getProxymoduleidDirtyFlag();

    /**
     * 工作流实例
     */
    String getWfinstanceid();

    void setWfinstanceid(String wfinstanceid);

    /**
     * 获取 [工作流实例]脏标记
     */
    boolean getWfinstanceidDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * WFBM标识
     */
    String getWFBMId();

    void setWFBMId(String wFBMId);

    /**
     * 获取 [WFBM标识]脏标记
     */
    boolean getWFBMIdDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 工作流状态
     */
    Integer getWfstate();

    void setWfstate(Integer wfstate);

    /**
     * 获取 [工作流状态]脏标记
     */
    boolean getWfstateDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * WFBM名称
     */
    String getWFBMName();

    void setWFBMName(String wFBMName);

    /**
     * 获取 [WFBM名称]脏标记
     */
    boolean getWFBMNameDirtyFlag();

    /**
     * 工作流步骤
     */
    String getWfstep();

    void setWfstep(String wfstep);

    /**
     * 获取 [工作流步骤]脏标记
     */
    boolean getWfstepDirtyFlag();

}
